GET /repos/{owner}/{repo}/readme

github.com:github-rest-api

Summary: Get a repository README
Operation ID: repos/get-readme
Auth: bearer_token
Description

Gets the preferred README for a repository. This endpoint supports the following custom media types. For more information, see "[Media types](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types)." - **`application/vnd.github.raw+json`**: Returns the raw file contents. This is the default if you do not specify a media type. - **`application/vnd.github.html+json`**: Returns the README in HTML. Markup languages are rendered to HTML using GitHub's open-source [Markup library](https://github.com/github/markup).

Parameters (3)

owner (string, path, required)

The account owner of the repository. The name is not case sensitive.

ref (string, query, optional)

The name of the commit/branch/tag. Default: the repository’s default branch.

repo (string, path, required)

The name of the repository without the `.git` extension. The name is not case sensitive.

No probe data for this endpoint yet.